%global obsrel 400.1

%global osc_plugin_dir %{_prefix}/lib/osc-plugins

%global obsroot %{_prefix}/lib/obs
%global obs_srcsvc_dir %{obsroot}/service

%global baserelease 1.2

Name:           osc
Summary:        Open Build Service Commander
Version:        1.6.0
Release:    1%{?dist}
License:        GPL-2.0-or-later
URL:            https://github.com/openSUSE/%{name}
Source0:         %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  diffstat
BuildRequires:  python3-devel
BuildRequires:  python3-distro
BuildRequires:  python3-rpm
BuildRequires:  python3-progressbar2
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-cryptography
BuildRequires:  python3-urllib3
BuildRequires:  argparse-manpage
Requires:       python3-distro
Requires:       python3-rpm
Requires:       python3-cryptography
Requires:       python3-urllib3
Requires:       python3-lxml
Requires:       python3-progressbar2
Recommends:     /usr/bin/ssh-keygen

%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     obs-build
Recommends:     obs-service-source_validator
%else
Requires:       obs-service-source_validator
%endif

Conflicts:      obs-build < 20191205

%description
Commandline client for the Open Build Service.

See http://en.opensuse.org/openSUSE:OSC , as well as
http://en.opensuse.org/openSUSE:Build_Service_Tutorial for a general
introduction.


%prep
%autosetup -p1

%build
%py3_build
cat << EOF > macros.osc
%%osc_plugin_dir %{osc_plugin_dir}
EOF

PYTHONPATH=. argparse-manpage \
    --output=osc.1 \
    --format=single-commands-section \
    --module=osc.commandline \
    --function=get_parser \
    --project-name=osc \
    --prog=osc \
    --description="OpenSUSE Commander" \
    --author="Contributors to the osc project. See the project's GIT history for the complete list." \
    --url="https://github.com/openSUSE/osc/"


%install
%py3_install

mkdir -p %{buildroot}%{_localstatedir}/lib/osc-plugins
install -Dm0644 contrib/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
install -Dm0644 contrib/complete.sh %{buildroot}%{_datadir}/bash-completion/completions/osc
install -Dm0755 contrib/osc.complete %{buildroot}%{_datadir}/osc/complete
install -Dm0644 contrib/osc.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/osc.fish

mkdir -p %{buildroot}%{obs_srcsvc_dir}

mkdir -p %{buildroot}%{osc_plugin_dir}

mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d/

install -Dm0644 macros.osc %{buildroot}%{_rpmmacrodir}/macros.osc

install -Dm0644 osc.1 %{buildroot}%{_mandir}/man1/osc.1

%check
python3 setup.py test

%files
%doc AUTHORS README.md NEWS
%license COPYING
%{_bindir}/osc*
%{python3_sitelib}/osc*
%{_sysconfdir}/profile.d/osc.csh
%{_datadir}/bash-completion/completions/osc
%{_datadir}/fish/vendor_completions.d/osc.fish
%dir %{_localstatedir}/lib/osc-plugins
%{_mandir}/man1/osc.*
%{_datadir}/osc
%{_rpmconfigdir}/macros.d/macros.osc
%dir %{obsroot}
%dir %{obs_srcsvc_dir}
%dir %{osc_plugin_dir}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-1
- initial build
